require 'dispatcher'

Redmine::Plugin.register :redmine_issue_versions_order do
  name 'Issue versions order plugin'
  author 'Stéphane Thomas'
  author_url 'http://www.stephanethomas.com/'
  description 'This plugin sets the display order of versions in the list of issues to ascending instead of descending.'
  version '1.0.0'
end

Dispatcher.to_prepare do
  Query.send(:include, QueryModelPatch) unless Query.include?(QueryModelPatch)
end